package com.koobietech.eas.mbg.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.Serializable;
import java.util.Date;

public class EasSysUserinfo implements Serializable {
    /**
     * 用户ID
     *
     * @mbg.generated
     */
    @Schema(description = "用户ID")
    private Long id;

    /**
     * 用户名
     *
     * @mbg.generated
     */
    @Schema(description = "用户名")
    private String username;

    /**
     * 密码
     *
     * @mbg.generated
     */
    @Schema(description = "密码")
    private String passwd;

    /**
     * 电子邮件
     *
     * @mbg.generated
     */
    @Schema(description = "电子邮件")
    private String email;

    /**
     * 姓名
     *
     * @mbg.generated
     */
    @Schema(description = "姓名")
    private String relname;

    /**
     * 电话
     *
     * @mbg.generated
     */
    @Schema(description = "电话")
    private String phone;

    /**
     * 地址
     *
     * @mbg.generated
     */
    @Schema(description = "地址")
    private String address;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    @Schema(description = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date createTime;

    /**
     * 修改时间
     *
     * @mbg.generated
     */
    @Schema(description = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date modifyTime;

    /**
     * 创建用户ID
     *
     * @mbg.generated
     */
    @Schema(description = "创建用户ID")
    private Integer createUid;

    /**
     * 状态
     *
     * @mbg.generated
     */
    @Schema(description = "状态")
    private String disabled;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username == null ? null : username.trim();
    }

    public String getPasswd() {
        return passwd;
    }

    public void setPasswd(String passwd) {
        this.passwd = passwd == null ? null : passwd.trim();
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email == null ? null : email.trim();
    }

    public String getRelname() {
        return relname;
    }

    public void setRelname(String relname) {
        this.relname = relname == null ? null : relname.trim();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone == null ? null : phone.trim();
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getCreateUid() {
        return createUid;
    }

    public void setCreateUid(Integer createUid) {
        this.createUid = createUid;
    }

    public String getDisabled() {
        return disabled;
    }

    public void setDisabled(String disabled) {
        this.disabled = disabled == null ? null : disabled.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", username=").append(username);
        sb.append(", passwd=").append(passwd);
        sb.append(", email=").append(email);
        sb.append(", relname=").append(relname);
        sb.append(", phone=").append(phone);
        sb.append(", address=").append(address);
        sb.append(", createTime=").append(createTime);
        sb.append(", modifyTime=").append(modifyTime);
        sb.append(", createUid=").append(createUid);
        sb.append(", disabled=").append(disabled);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}